| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::EEFile Class Reference

Abstract basic class for Earth Observation File. More...

Inheritance diagram for EECFI::EEFile:

List of all members.

## Public Member Functions
| EEFile ()
| Empty constructor.
| EEFile (long fileType, string fileName)
| Constructor with arguments.
virtual | ~EEFile ()
| Destructor.
bool | validate (const string logfile) const throw (CfiError)
| Validate file wrt schema in the root element of the XML file.
bool | validate (const string schema, const string logfile) const throw (CfiError)
| Validate file wrt to the schema given in the schema parameter.
void | readHeader () throw (CfiError)
| Read fixed header from XML file.
## Public Attributes
long | fileType
| File type enum value (FileEnum).
string | fileName
| Filename.
FixedHeader * | fixedHeader
| File fixed Header.

## Detailed Description

Abstract basic class for Earth Observation File.

## Constructor & Destructor Documentation

EECFI::EEFile::EEFile | ( |  | ) |

Empty constructor.

References fileName, fileType, and fixedHeader.

EECFI::EEFile::EEFile | ( | long | fileTyp,
|  | string | fileNam |
| ) |  |  |

Constructor with arguments.

Parameters:

  | fileTyp | File type enumeration value (FileEnum).
  | fileNam | Name of the file.

References fileName, fileType, and fixedHeader.

virtual EECFI::EEFile::~EEFile | ( |  | ) | `[inline, virtual]`

Destructor.

## Member Function Documentation

void EECFI::EEFile::readHeader | ( |  | ) | throw (CfiError)

Read fixed header from XML file.

Reimplemented in EECFI::DorisFile.

References fileName, fileType, fixedHeader, and EECFI::CfiClass::throwWarn.

bool EECFI::EEFile::validate | ( | const string | logfile | ) | const throw (CfiError)

Validate file wrt schema in the root element of the XML file.

Parameters:

  | logfile | File where messages from the validation proccess are written.

Returns:
  Result of comparison. true on success.

bool EECFI::EEFile::validate | ( | const string | schema,
|  | const string | logfile |
| ) |  |  | const throw (CfiError)

Validate file wrt to the schema given in the schema parameter.

Parameters:

  | schema | File name path of the schema we want to compare with.
  | logfile | File where messages from the validation proccess are witten.

Returns:
  Result of comparison. true on success.

## Member Data Documentation

string EECFI::EEFile::fileName

Filename.

Referenced by EEFile(), EECFI::IersBulletinFile::IersBulletinFile(), EECFI::StfFile::operator=(), EECFI::IersBulletinFile::operator=(), EECFI::ZoneFile::read(), EECFI::StfFile::read(), EECFI::StationFile::read(), EECFI::StarFile::read(), EECFI::SdfFile::read(), EECFI::OsfFile::read(), EECFI::IersFile::read(), EECFI::IersBulletinFile::read(), EECFI::DemConfFile::read(), EECFI::AttitudeDefinitionData::read(), EECFI::AttFile::read(), readHeader(), EECFI::DorisFile::readHeader(), EECFI::ZoneFile::readIds(), EECFI::StarFile::readIds(), EECFI::StfFile::readVhr(), EECFI::OsfFile::xsltAdd(), EECFI::OrbitFile::xsltAdd(), and EECFI::AttFile::xsltAdd().

long EECFI::EEFile::fileType

File type enum value (FileEnum).

Reimplemented in EECFI::DorisFile.

Referenced by EECFI::AttFile::AttFile(), EECFI::AttitudeDefinitionData::AttitudeDefinitionData(), EECFI::DemConfFile::DemConfFile(), EECFI::DemFile::DemFile(), EEFile(), EECFI::IersBulletinFile::IersBulletinFile(), EECFI::OemFile::OemFile(), EECFI::StfFile::operator=(), EECFI::IersBulletinFile::operator=(), EECFI::OrbitFile::OrbitFile(), EECFI::OsfFile::OsfFile(), readHeader(), EECFI::SdfFile::SdfFile(), EECFI::SP3File::SP3File(), EECFI::StarFile::StarFile(), EECFI::StarTrackerConfFile::StarTrackerConfFile(), EECFI::StarTrackerFile::StarTrackerFile(), EECFI::StationFile::StationFile(), EECFI::StfFile::StfFile(), EECFI::TleFile::TleFile(), and EECFI::ZoneFile::ZoneFile().

FixedHeader* EECFI::EEFile::fixedHeader

File fixed Header.

Referenced by EEFile(), EECFI::StfFile::operator=(), readHeader(), EECFI::StfFile::StfFile(), EECFI::AttFile::~AttFile(), EECFI::AttitudeDefinitionData::~AttitudeDefinitionData(), EECFI::DemConfFile::~DemConfFile(), EECFI::DemFile::~DemFile(), EECFI::DorisFile::~DorisFile(), EECFI::IersFile::~IersFile(), EECFI::OrbitFile::~OrbitFile(), EECFI::OsfFile::~OsfFile(), EECFI::SdfFile::~SdfFile(), EECFI::SP3File::~SP3File(), EECFI::StarFile::~StarFile(), EECFI::StarTrackerConfFile::~StarTrackerConfFile(), EECFI::StarTrackerFile::~StarTrackerFile(), EECFI::StationFile::~StationFile(), EECFI::TleFile::~TleFile(), and EECFI::ZoneFile::~ZoneFile().